/* * {
    box-sizing: border-box;
    font-weight: 400;
    font-family: "Inter", sans-serif;
    color: #fff;
}

body {
    background: #000;
} */

.bhcar-centres {
    max-width: 469px;
    width: 100%;
    height: 1106px;
    backdrop-filter: blur(42px);
    box-shadow: inset -5px -5px 250px 0 rgba(255, 255, 255, 0.02);
    background: rgba(255, 255, 255, 0.2);
    padding: 48px 31px 55px 32px;
    position: fixed;
    top: 0;
    right: 0;
    height: 100vh;
    z-index: 999;
}
.bhcar-centres__header {
    position: relative;
    padding-right: 17px;
}
.bhcar-centres__close {
    outline: none;
    border: none;
    padding: 0;
    margin: 0;
    background-color: transparent;
    cursor: pointer;
    position: absolute;
    top: 0;
    right: -12px;
}
.bhcar-centres__close > svg > path {
    transition: 0.3s stroke linear;
}
.bhcar-centres__close:hover > svg > path {
    stroke: #e22617;
}
.bhcar-centres__title {
    font-family: "Inter", sans-serif;
    font-weight: 800;
    font-size: 18px;
    line-height: 133%;
    letter-spacing: 0.03em;
    text-transform: uppercase;
    color: #fff;
    margin: 0;
}
.bhcar-centres__box {
    margin: 24px 0 8px;
    background: rgba(255, 255, 255, 0.5);
    border-radius: 8px;
    width: 100%;
    padding: 8px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 8px;
}
.bhcar-centres__box-input {
    display: block;
    background: #fff;
    border-radius: 8px;
    max-width: 328px;
    width: 100%;
    border: none;
    outline: none;
    padding: 0;
    height: 35px;
    padding: 0 8px;
    color: #000;
}
.bhcar-centres__box-search {
    padding: 0;
    border-radius: 100%;
    cursor: pointer;
    width: 35px;
    height: 35px;
    border: none;
    outline: none;
}
.bhcar-centres__reset {
    font-family: "Inter", sans-serif;
    font-weight: 400;
    font-size: 16px;
    line-height: 137%;
    letter-spacing: -0.01em;
    text-decoration: underline;
    text-decoration-skip-ink: none;
    text-align: center;
    color: #fff;
    background-color: transparent;
    padding: 0;
    margin: 0;
    outline: none;
    border: none;
    cursor: pointer;
    margin: 0 auto;
    display: block;
    transition: 0.3s color linear;
}
.bhcar-centres__reset:hover {
    color: #e22617;
}
.bhcar-centres__list {
    padding: 0;
    margin: 0;
    list-style: none;
    padding-top: 33px;
    height: 74vh;
    overflow: auto;
    padding-right: 17px;
}
.bhcar-centres__list::-webkit-scrollbar {
    width: 2px;
}
.bhcar-centres__list::-webkit-scrollbar-track {
    background: #5d5d5d;
}
.bhcar-centres__list::-webkit-scrollbar-thumb {
    background: #e22617;
}
.bhcar-centres__list-item {
    cursor: pointer;
    font-family: "Inter", sans-serif;
    font-weight: 400;
    font-size: 18px;
    line-height: 133%;
    letter-spacing: -0.01em;
    text-transform: uppercase;
    color: #fff;
    padding: 16px 8px;
    border-top: 1px solid #5c5c5c;
    transition: 0.3s background linear;
}
.bhcar-centres__list-item:hover {
    background-color: rgba(255, 255, 255, 0.05);
}
.bhcar-centres__list-item:last-of-type {
    border-bottom: 1px solid #5c5c5c;
}

.bhcar-centres__list-item.--empty {
    border: none;
    color: #6f6f6f;
    cursor: auto;
}
.bhcar-nearest-center-arrow {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 8px;
}

.bhcar-centres {
    overflow: hidden;
    height: 0;
    opacity: 0;
    transition: height 0.4s ease, opacity 0.4s ease;
}
.bhcar-centres.--open {
    opacity: 1;
}
.bhcar-centres.--closing {
    opacity: 0;
    height: 0 !important;
}

@media (max-width: 768px) {
    .bhcar-centres {
        max-width: 362px;
        padding: 32px 17px 28px 16px;
    }
    .bhcar-centres__title {
        font-size: 16px;
    }
    .bhcar-centres__close {
        right: 0;
    }
    .bhcar-centres__close > svg {
        width: 18px;
        height: 18px;
    }
    .bhcar-centres__list-item {
        font-size: 14px;
    }
    .bhcar-centres__list-item {
        padding: 12px 8px;
    }
    #bhcar-nearest-center-block {
        /* flex-direction: column; */
        /* justify-content: center; */
        justify-content: space-between;
        align-items: center;
        width: 100%;
    }
    #bhcar-nearest-center {
        margin-left: 0!important;
    }
    .bhcar-nearest-center-arrow {
        justify-content: flex-start;
    }
}
